Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# BaseParticleRenderer Class Reference

Pure virtual particle renderer base class. More...

Inheritance diagram for BaseParticleRenderer:

List of all members.

## Public Types
enum | ParticleRendererAlphaMode { PRALPHANONE = 0, PRALPHAOUT = 1, PRALPHAIN = 2, PRALPHAINOUT = 3, PRALPHAUSER = 4, PRNOTINITIALIZEDYET = 5 }
enum | ParticleRendererBlendMethod { PPNOBLEND = 0, PPBLENDLINEAR = 1, PPBLENDCUBIC = 2 }
## Public Member Functions
ParticleRendererAlphaMode | getAlphaMode ()
bool | getIgnoreScale ()
| Returns the "ignore scale" flag.
GeomNode | getRenderNode ()
| Query the geomnode pointer.
NodePath | getRenderNodePath ()
| Query the geomnode pointer.
float | getUserAlpha ()
| gets alpha for "user" alpha mode
| output (ostream out)
| Write a string representation of this instance to <out>.
| setAlphaMode (ParticleRendererAlphaMode am)
| setColorBlendMode (Mode bm)
| sets the ColorBlendAttrib on the _render_node
| setColorBlendMode (Mode bm, Operand oa)
| sets the ColorBlendAttrib on the _render_node
| setColorBlendMode (Mode bm, Operand oa, Operand ob)
| sets the ColorBlendAttrib on the _render_node
| setIgnoreScale (bool ignore_scale)
| Sets the "ignore scale" flag.
| setUserAlpha (float ua)
| sets alpha for "user" alpha mode
| write (ostream out)
| Write a string representation of this instance to <out>.
| write (ostream out, int indent)
| Write a string representation of this instance to <out>.

## Detailed Description

Pure virtual particle renderer base class.

## Member Enumeration Documentation

enum ParticleRendererAlphaMode

Enumerator:

  PRALPHANONE |
  PRALPHAOUT |
  PRALPHAIN |
  PRALPHAINOUT |
  PRALPHAUSER |
  PRNOTINITIALIZEDYET |

enum ParticleRendererBlendMethod

Enumerator:

  PPNOBLEND |
  PPBLENDLINEAR |
  PPBLENDCUBIC |

## Member Function Documentation

ParticleRendererAlphaMode getAlphaMode | ( |  | ) |

bool getIgnoreScale | ( |  | ) |

Returns the "ignore scale" flag.

See set_ignore_scale().

GeomNode getRenderNode | ( |  | ) |

Query the geomnode pointer.

NodePath getRenderNodePath | ( |  | ) |

Query the geomnode pointer.

float getUserAlpha | ( |  | ) |

gets alpha for "user" alpha mode

output | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

setAlphaMode | ( | ParticleRendererAlphaMode | am | ) |

setColorBlendMode | ( | Mode | bm | ) |

sets the ColorBlendAttrib on the _render_node

setColorBlendMode | ( | Mode | bm,
|  | Operand | oa
| ) |  |

sets the ColorBlendAttrib on the _render_node

setColorBlendMode | ( | Mode | bm,
|  | Operand | oa,
|  | Operand | ob
| ) |  |

sets the ColorBlendAttrib on the _render_node

setIgnoreScale | ( | bool | ignore_scale | ) |

Sets the "ignore scale" flag.

When this is true, particles will be drawn as if they had no scale, regardless of whatever scale might be inherited from above the render node in the scene graph.

This flag is mainly useful to support legacy code that was written for a very early version of Panda, whose sprite particle renderer had a bug that incorrectly ignored the inherited scale.

setUserAlpha | ( | float | ua | ) |

sets alpha for "user" alpha mode

write | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

write | ( | ostream | out,
|  | int | indent
| ) |  |

Write a string representation of this instance to <out>.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties